Skip to content

Retrieve detailed inventory data for a SKU

You call thisinventoryinventory:selflegacy

GET
/v1/inventory/{SKU}
curl --request GET \
--url https://api.zentail.com/v1/inventory/example \
--header 'Authorization: Bearer <token>'

Returns available quantity for the SKU in all warehouses, and inbound inventory data.

SKU
required
string

Success

Media typeapplication/json
object
SKU
string
active
boolean
standardProductId

Depending on the type defined in standardProductIdType this field contains either the UPC, EAN, ISBN, or GTIN for this product.

string
standardProductIdType

One of UPC, EAN, ISBN or GTIN.

string
totalAvailableQuantity

This is the total quantity across all warehouses that is made available for sale on the marketplaces. This does not include stock committed or reserved for various sales orders.

integer
warehouses
Array<object>
object
warehouseName

The Name of the warehouse.

string
warehouseUniqueId

Unique identifier for the warehouse as recognized by the application.

string
availableQuantity

This is the quantity from this warehouse that is made available for sale on the marketplaces. This does not include stock committed or reserved for various sales orders.

integer
assembledQuantity

Inventory for Kits with assembled quantity.

integer
nullable
inventoryLocations

Bins are located within a warehouse.

Array<object>
object
binLocation

Name of the Bin

string
quantity

Quantity in the Bin

integer
updatedTs

Timestamp quantity for this product in this warehouse was last updated.

string format: date-time
inboundShipments
Array<object>
object
quantity

This is the quantity that is inbound for this product in this warehouse.

integer
expectedDeliveryDate

This is the date the shipment is expected to arrive at the warehouse.

string format: date
tracking

Tracking for the shipment associated.

string
carrier

Carrier for the shipment associated.

string
lastInventoryUpdateTs

Timestamp quantity for this product was last updated across all warehouses.

string format: date-time
Examplegenerated
{
"SKU": "example",
"active": true,
"standardProductId": "example",
"standardProductIdType": "example",
"totalAvailableQuantity": 1,
"warehouses": [
{
"warehouseName": "example",
"warehouseUniqueId": "example",
"availableQuantity": 1,
"assembledQuantity": 1,
"inventoryLocations": [
{
"binLocation": "example",
"quantity": 1
}
],
"updatedTs": "2026-04-15T12:00:00Z",
"inboundShipments": [
{
"quantity": 1,
"expectedDeliveryDate": "2026-04-15",
"tracking": "example",
"carrier": "example"
}
]
}
],
"lastInventoryUpdateTs": "2026-04-15T12:00:00Z"
}

Bad Request

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{
"errorCode": 400
}

Permission Denied

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{
"errorCode": 403
}

Not Found

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{
"errorCode": 404
}

Zentail Error

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
errorMessage
string
Example
{
"errorCode": 500
}

Zentail Error

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{
"errorCode": 503
}

Sourcesnapshot of https://app.zentail.com/api/swagger, committed at spec/v1/zentail-api.json

Built0c509dd3

API changelog